Bug 584986 - compiz, autohide and cursor movement don't get along: autohide panel gets out of sync
compiz, autohide and cursor movement don't get along: autohide panel gets out...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 16:19 EDT by Tom London
Modified: 2012-08-16 18:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: (and 4 workspaces)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2010-04-22 16:19:36 EDT
Description of problem:
Running compiz with "workspaces on a cube" (and 4 workspaces) with the bottom gnome panel set to "autohide".

If I switch workspaces by clicking on the "workspace applet" that I have in the bottom panel, I can easily get the autohiding" to get confused and not autohide.

Here's how:

0. configure bottom panel to "autohide"; add "workspace switch" applet in bottom panel.
1. move cursor to bottom of screen, causing the bottom panel to display.
2. click on a different workspace in the display workspace switch applet.
3. move the cursor up and off the bottom panel while the "compiz cube" is rotating. 
4. You end up with the bottom panel continuing to be displayed in the "new" workspace, even though the cursor is nowhere near the bottom of the screen.
5. To "re-synchronize" the autohiding panel, you need to move the cursor back over the bottom panel and click. If you now move the cursor off the bottom panel, the panel will "hide".

If you carefully do not move the cursor in step 3 (while the cube is rotating), you end up with the cursor displayed in the "new" bottom panel, and moving it off the panel "hides" the panel.

Version-Release number of selected component (if applicable):
compiz-0.8.6-1.fc14.x86_64

How reproducible:
Every time you move the cursor off the panel while the cube is rotating.

Steps to Reproduce:
1. Described above.......
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2010-07-30 07:26:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andrew Roth 2010-12-08 15:37:08 EST
Thank you for letting us know.

This bug has been triaged.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora Admin XMLRPC Client 2011-06-01 16:30:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-06-01 16:30:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-06-01 16:31:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-06-01 16:33:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2012-08-16 18:04:39 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.